Page MenuHomePhabricator

Remove instrumentation for Schema:Print
Closed, ResolvedPublic2 Estimated Story Points

Description

Split off from T181297 so that this won't be forgotten:

We should stop sending data for the Print schema (and possibly remove the instrumentation code entirely), once it is decided that no new data is needed (might be after some further deployments).

Developer notes

Code that triggers events lives in WikimediaEvents extension: https://github.com/wikimedia/mediawiki-extensions-WikimediaEvents/blob/master/modules/all/ext.wikimediaEvents.print.js

Disabling

Captured separately in T208454

Removing the feature

In order to remove the whole feature please remove the ext.wikimediaEvents.print.js file and deregister schema.Print and the wikimediaEvents.print module from extension.json ext.wikimediaEvents module.

Acceptance Criteria

  • Once code is removed, please add a note on the Schema:Print documentation page and also mark the schema as inactive. Just add status=inactive to schema definition

See https://meta.wikimedia.org/w/index.php?title=Schema_talk%3AMobileWebMainMenuClickTracking&type=revision&diff=19264159&oldid=19048492 on how it can be done.

QA Results

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Jdlrobson set the point value for this task to 2.Jun 12 2018, 4:19 PM
Vvjjkkii renamed this task from Turn off Schema:Print (timing TBD) to gubaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
CommunityTechBot renamed this task from gubaaaaaaa to Turn off Schema:Print (timing TBD).Jul 2 2018, 1:46 PM
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot set the point value for this task to 2.
CommunityTechBot updated the task description. (Show Details)
Jdlrobson changed the task status from Open to Stalled.Jul 27 2018, 9:37 AM
Jdlrobson added a subscriber: Jdlrobson.

once it is decided that no new data is needed (might be after some further deployments).

Marking as stalled until this happens.

MBinder_WMF added a subscriber: MBinder_WMF.

@Tbayer Product-Analytics talked about this during their Phab Review meeting and determined that it's a Tracking task for the purposes of their team board. Please reply if you feel otherwise. :)

Jdlrobson changed the task status from Stalled to Open.Oct 30 2018, 11:29 PM
Jdlrobson moved this task from Product Owner Backlog to Upcoming on the Readers-Web-Backlog board.
Jdlrobson added a subscriber: HaeB.

I think this can now be done?!? Cc @HaeB

I think this can now be done?!? Cc @HaeB

See my earlier question at T179915#4692627 - I think so, going to close that task now.

Jdlrobson renamed this task from Turn off Schema:Print (timing TBD) to Remove instrumentation for Schema:Print (timing TBD).Oct 31 2018, 6:27 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson renamed this task from Remove instrumentation for Schema:Print (timing TBD) to Proton: Remove instrumentation for Schema:Print (timing TBD).Nov 15 2018, 7:04 PM
Jdlrobson raised the priority of this task from Medium to High.Nov 26 2018, 10:10 PM

Let us know when we can remove this. We are shipping unused code to all mobile users and it would be great to remove it.

Jdlrobson added a subscriber: ovasileva.

@ovasileva this code continues to be loaded on all pages (along with reading depth) without every getting run. Do we plan to remove this and ReadingDepth soon?

ovasileva renamed this task from Proton: Remove instrumentation for Schema:Print (timing TBD) to Remove instrumentation for Schema:Print (timing TBD).Jan 23 2020, 6:12 PM
ovasileva lowered the priority of this task from High to Medium.
Jdlrobson renamed this task from Remove instrumentation for Schema:Print (timing TBD) to Remove instrumentation for Schema:Print.Jan 30 2020, 4:41 AM

Change 570623 had a related patch set uploaded (by Pmiazga; owner: polishdeveloper):
[mediawiki/extensions/WikimediaEvents@master] Decommision Print schema

https://gerrit.wikimedia.org/r/570623

Change 570625 had a related patch set uploaded (by Polishdeveloper; owner: polishdeveloper):
[operations/mediawiki-config@master] Clean-up decommisioned Print schema configs

https://gerrit.wikimedia.org/r/570625

Change 570623 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Decommision Print schema

https://gerrit.wikimedia.org/r/570623

Once code is removed, please add a note on the Schema:Print documentation page and also mark the schema as inactive. Just add status=inactive to schema definition

This was done some time ago by yours truly in https://meta.wikimedia.org/w/index.php?title=Schema_talk%3APrint&type=revision&diff=18715025&oldid=18575961.

phuedx added a subscriber: Edtadros.

@Edtadros: I'm not sure how to handle removal of code. If you'd like to talk about it for 10 minutes, then LMK. Would

The above configuration change can be merged after rEWMVba890a017fcb: Decommision Print schema has been deployed to the Wikipedias (Monday, 17th February).

phuedx added a subscriber: phuedx.

@phuedx I will take you up on the offer to talk about it. I went to the URL you mentioned and saw no errors in the console.

@Edtadros: To confirm, I can verify that the code has been removed from the codebase. That removal will be deployed to all Wikipedias tomorrow (Thursday, 13th February).

@phuedx Can you confirm that the code has been removed in production as well please?

Also the Acceptance Criteria states:

Once code is removed, please add a note on the Schema:Print documentation page and also mark the schema as inactive. Just add status=inactive to schema definition
See https://meta.wikimedia.org/w/index.php?title=Schema_talk%3AMobileWebMainMenuClickTracking&type=revision&diff=19264159&oldid=19048492 on how it can be done.

This indicates to me that the Schema:Print documentation page should be listed on the Categories:Schemas (inactive) page in addition to having the schema status=inactive on the schema page. If this is the case I don't believe that either have been implemented.

@phuedx Can you confirm that the code has been removed in production as well please?

It hasn't yet been removed in production as the 🚂 is blocked.

Also the Acceptance Criteria states:

Once code is removed, please add a note on the Schema:Print documentation page and also mark the schema as inactive. Just add status=inactive to schema definition
See https://meta.wikimedia.org/w/index.php?title=Schema_talk%3AMobileWebMainMenuClickTracking&type=revision&diff=19264159&oldid=19048492 on how it can be done.

This indicates to me that the Schema:Print documentation page should be listed on the Categories:Schemas (inactive) page in addition to having the schema status=inactive on the schema page. If this is the case I don't believe that either have been implemented.

I see

Status: inactive

on https://meta.wikimedia.org/wiki/Schema_talk:Print and I see the schema's documentation page listed on https://meta.wikimedia.org/wiki/Category:Schemas_(inactive).

Would you mind rechecking?

@Edtadros: I can confirm that the patch has been deployed to all wikis.

Test Result

Status: ✅ PASS
OS: macOS Catalina
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

Beta
✅ AC1: Verify code removed T196159#5877931
Navigate to https://en.wikipedia.beta.wmflabs.org/wiki/Main_Page
✅ AC2: Observe that there are no errors in the console

Enwiki
✅ AC3: Verify code removed T196159#5898178
✅ AC4: Update Schema:Print Documentation page
Verified on:
https://meta.wikimedia.org/wiki/Schema_talk:Print
https://meta.wikimedia.org/wiki/Category:Schemas_(inactive).
Navigate to https://en.wikipedia.beta.wmflabs.org/wiki/Main_Page
✅ AC5: Observe that there are no errors in the console

Change 570625 merged by jenkins-bot:

[operations/mediawiki-config@master] Clean-up decommisioned Print schema configs

https://gerrit.wikimedia.org/r/570625

Mentioned in SAL (#wikimedia-operations) [2022-02-02T12:54:31Z] <taavi@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:570625|Clean-up decommisioned Print schema configs (T196159)]] (duration: 00m 50s)